package intrinsic.mx.rpc.xml;

public class TypeIterator extends Object {

	/** Accessors */
	public Object value;
	public int length;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public TypeIterator() {
}

public TypeIterator(Object arg0) {
}


/** Static Methods */
public static native Object getItemAt(Object arg0, int arg1);
public static native int getLength(Object arg0);
public static native int push(Object arg0, Object arg1);
public static native boolean isIterable(Object arg0);

/** Methods */
public native boolean hasNext();
public native void reset();
public native Object next();

}
